<?php
require_once('rfc822_addresses.php');
require_once('mime_parser.php');

$message_file = '/var/spool/mail/Account';

$mime = new mime_parser_class();
$mime->decode_bodies = 1;
$mime->ignore_syntax_errors = 1;

$parameters = array(
        'File'=>$message_file,
		// 'SaveBody'=>'/tmp',
		// 'SkipBody'=>1,
        );

if(!$mime->Decode($parameters, $decoded)) {
    echo 'MIME message decoding error: '.$mime->error.' at position '.$mime->error_position . "\n";

} else {
    echo 'MIME message decoding successful.'."\n";

    $count_msg = count($decoded);
    echo ($count_msg==1 ? '1 message was found.' : $count_msg .' messages were found.'), "\n";

    for($message = 0; $message < $count_msg; $message++) {
        echo 'Message ',($message+1),':',"\n";
        print_r($decoded[$message]);
        /*
           // 常用的資訊
           $decoded[$message]['Headers']
           $decoded[$message]['Body']
           $decoded[$message]['ExtractedAddresses']
         */

        if($mime->Analyze($decoded[$message], $results)) {
            print_r($results);
            /*
               // 常用的資訊
               $results['Type']
               $result['Description']
               $result['Encoding']
               $result['Subject']
               $result['Date']
               $result['From'][0]['address']
               $result['To'][0]['address']
               $result['Return-path'][0]['address']
               $result['Data']
             */
        } else {
            echo 'MIME message analyse error: '.$mime->error."\n";
        }
    }

    for($warning = 0, Reset($mime->warnings); $warning < count($mime->warnings); Next($mime->warnings), $warning++) {
        $w = Key($mime->warnings);
        echo 'Warning: ', $mime->warnings[$w], ' at position ', $w, "\n";
    }
}
?>
